logging:
  level:
    root: INFO
    druid.sql.Statement: DEBUG
    jdbc.sqltiming: 'OFF'
    jdbc.audit: 'OFF'
    jdbc.resultset: 'OFF'
    jdbc.resultsettable: 'OFF'
    jdbc.sqlonly: 'OFF'
    jdbc.connection: 'OFF'
    org.apache.tomcat.util.net.NioEndpoint: 'OFF'
    org.springframework.boot.web.filter.OrderedRequestContextFilter: 'OFF'
    org.springframework.amqp.rabbit.listener.SimpleMessageListenerContainer: 'OFF'
    #org.springframework.cache.interceptor.CacheInterceptor: TRACE
    #org.springframework.jdbc.datasource.DataSourceTransactionManager: DEBUG
  pattern:
    console: '%d [t:%thread] [~p:%X{process_id}] %-5level %logger{32} - %msg%n'
    file: '%d [t:%thread] [~p:%X{process_id}] %-5level %logger{32} - %msg%n'

#管理端
management:
  security.enabled: false
  context-path: /manage
  add-application-context-header: false

yvan:
  debug: ${debug}

server:
  tomcat:
    remote_ip_header: x-forwarded-for
    protocol_header: x-forwarded-proto
    port-header: X-Forwarded-Port
  use-forward-headers: true
  #error:
  #  whitelabel:
  #    enabled: ${debug}

endpoints:
  shutdown.enabled: false

#error:
#  whitelabel.enabled: false

spring:
  profiles.active: dev

  application:
    name: bofeng-web

  #mvc:
  #  throw-exception-if-no-handler-found: true

  aop:
    auto: true
    proxy-target-class: true

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      write_dates_as_timestamps: true

  http:
    encoding:
      charset: utf-8
      force: true
    multipart:
       maxFileSize: 2Mb
       maxRequestSize: 12Mb

  cache:
    type: redis
    expire-time-seconds: 300

  redis:
    timeout: 2000
    pool:
      max-active: 500
      max-wait: -1
      max-idle: 100
      min-idle: 20

  datasource:
    #type: com.alibaba.druid.pool.DruidDataSource
    druid: true
    maxActive: 30
    initialSize: 1
    maxWait: 60000
    minIdle: 5
    maxIdle: 20
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 1200000
    validationQuery: select 1
    testWhileIdle: true
    testOnBorrow: true
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    filters: stat,wall

  freemarker:
    allow-request-override: false
    allow-session-override: false
    charset: UTF-8
    check-template-location: true
    content-type: text/html
    enabled: true
    expose-request-attributes: false
    expose-session-attributes: false
    expose-spring-macro-helpers: true
    prefer-file-system-access: true
    settings.number_format: 0.##
    prefix:
    request-context-attribute:
    suffix:
    cache: false
    template-loader-path: ${ui-path}/templates

  resources:
    static-locations: ${ui-path}

bofeng:
  adminMenu:
    - name: '用户管理'
      menuId: 'user'
      url: '/admin/user.html'
    - name: '报表'
      menuId: 'report'
      childs:
        - name: '按订单统计'
          menuId: 'report_order'
          url: '/admin/report_order.html'
        - name: '按时间统计'
          menuId: 'report_time'
          url: '/admin/report_time.html'
    - name: '场地管理'
      menuId: 'place'
      url: '/admin/place.html'
    - name: '房间管理'
      menuId: 'room'
      url: '/admin/room.html'
    #- name: '参数设置'
    #  menuId: 'setting'
    #  url: '/admin/setting.html'

  cashierMenu:
    - name: '结算'
      menuId: 'settle'
      url: '/cashier/settle.html'
    - name: '买单'
      menuId: 'pay'
      url: '/cashier/customer_accounts.html'

  workerMenu:
    - name: '房间管理'
      menuId: 'manage'
      url: '/worker/room_manage.html'

mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  typeAliasesPackage: com.bofeng.**
  typeEnumsPackage: com.bofeng.**
  global-config:
    id-type: 2
    field-strategy: 2
    db-column-underline: true
    refresh-mapper: false
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
